Rivet::LogicError Class Reference

Error specialisation for places where alg logic has failed. More...

`#include <Exceptions.hh>`

Inheritance diagram for Rivet::LogicError:

## Public Member Functions

| LogicError (const std::string &what)
Public Member Functions inherited from Rivet::Error
| Error (const std::string &what)

## Detailed Description

Error specialisation for places where alg logic has failed.

The documentation for this class was generated from the following file:

- include/Rivet/Exceptions.hh